Name:           perl-Net-CIDR-Lite
Version:        0.20
Release:        2.1%{?dist}
Summary:        Net::CIDR::Lite Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-CIDR-Lite/
Source0:        http://www.cpan.org/authors/id/D/DO/DOUGW/Net-CIDR-Lite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# For "make test".
#BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)

%description
Faster alternative to Net::CIDR when merging a large number of CIDR
address ranges. Works for IPv4 and IPv6 addresses.

%prep
%setup -q -n Net-CIDR-Lite-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README COPYING Artistic
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug 13 2007 Steven Pritchard <steve@kspei.com> 0.20-2.1
- Use fixperms macro instead of our own chmod incantation.
- Temporarily disable Test::Pod* build dependencies.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.20-2
- Fix find option order.

* Tue Mar 21 2006 Steven Pritchard <steve@kspei.com> 0.20-1
- Update to 0.20
- Use canonical URL

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 0.18-3
- Minor spec cleanup
- Add COPYING and Artistic

* Mon Aug 01 2005 Steven Pritchard <steve@kspei.com> 0.18-2
- Add BR Test::Pod and Test::Pod::Coverage for make test

* Fri Jul 15 2005 Steven Pritchard <steve@kspei.com> 0.18-1
- Specfile autogenerated.
